# -*- coding: utf-8 -*-

"""Formulaire pour répondre à un quizz"""

from tw.api import WidgetsList
from tw.forms import TableForm, HiddenField, SingleSelectField, RadioButtonList
from tw.forms.validators import NotEmpty

class ReponseForm(TableForm):

	hover_help = True

	class fields(WidgetsList):
		poids_options = (
			(1, u'Je réponds par défaut'),
			(2, u'Je pense que c\'est çà'),
			(3, u'Je suis sur de moi'),
		)
		propositions=[]

		test = HiddenField('test_id')
		question = HiddenField('question_id')
		poids = SingleSelectField('weight', options=poids_options, help_text='Vous devez donner votre niveau de certitude', validator=NotEmpty)
		choix = RadioButtonList('proposition_id', options=propositions, help_text='Vous devez faire un choix parmi les propositions', validator=NotEmpty)

create_reponse_form = ReponseForm('create_reponse_form',  action='/repondre')
